List Chats
curl --request GET \
--url https://api.peec.ai/customer/v1/chats \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.peec.ai/customer/v1/chats"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.peec.ai/customer/v1/chats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "ch_61184892-36ad-4e1a-8178-3a83608f7711",
"prompt": {
"id": "pr_93f790de-5b7a-45ee-b782-61103c81f20d"
},
"model": {
"id": "gpt-4o-search"
},
"model_channel": {
"id": "openai-1"
},
"date": "2025-09-17",
"features": [
"SHOPPING"
]
}
],
"total_count": 42,
"totalCount": 42
}Project
List Chats
List the chats of a project
GET
/
chats
List Chats
Authorizations
APIKeyHeaderAPIKeyQueryBearerAuth
Query Parameters
Required if using a company api key
Example:
"or_f45b94ba-5e35-4982-93ed-285e72ee14eb"
Required range:
1 <= x <= 10000Required range:
0 <= x <= 9007199254740991full-date notation as defined by RFC 3339, section 5.6, for example, 2017-07-21
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$Example:
"2025-09-22"
full-date notation as defined by RFC 3339, section 5.6, for example, 2017-07-21
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$Example:
"2025-09-22"
Deprecated: use model_channel_id instead
Available options:
chatgpt-scraper, gpt-4o, gpt-4o-search, gpt-3.5-turbo, llama-sonar, perplexity-scraper, sonar, gemini-2.5-flash, gemini-3.1-flash-lite-search, gemini-scraper, google-ai-overview-scraper, google-ai-mode-scraper, llama-3.3-70b-instruct, deepseek-r1, deepseek-v4-pro, claude-3.5-haiku, claude-haiku-4.5, claude-sonnet-4, grok-scraper, microsoft-copilot-scraper, grok-4, grok-4.3, grok-4.6, qwen-3-6-plus, qwen-3-7-plus, amazon-rufus-scraper, mistral-small-4, mistral-medium-3-5, muse-spark-1.2, muse-spark-1.3, naver-ai-briefing-scraper, claude-opus-5, claude-fable-5.1, gpt-6-astra, gpt-5.6-sol, gpt-5.6-terra Available options:
openai-0, openai-1, qwen-0, openai-2, perplexity-0, perplexity-1, google-0, google-1, google-2, google-3, google-4, anthropic-0, anthropic-1, anthropic-2, anthropic-3, deepseek-0, meta-0, meta-1, xai-0, xai-1, microsoft-0, amazon-0, mistral-0, mistral-1, naver-0, openai-3, openai-4, openai-5 Available options:
SHOPPING, PRODUCT_COMPARISON, AD, MAP, WEB_SEARCH Sort order by chat creation time. Defaults to asc (oldest first); use desc to get the most recent chats first.
Available options:
asc, desc 